public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/puppetdb/
Date: Thu, 23 Jun 2016 13:31:26 +0000 (UTC)	[thread overview]
Message-ID: <1466688619.3ec16d51f9f984b3702d533c1cdc38c0af022f25.prometheanfire@gentoo> (raw)

commit:     3ec16d51f9f984b3702d533c1cdc38c0af022f25
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 13:29:58 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Jun 23 13:30:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ec16d51

app-admin/puppetdb: bup

Package-Manager: portage-2.2.28

 app-admin/puppetdb/Manifest              |  1 +
 app-admin/puppetdb/puppetdb-4.1.2.ebuild | 91 ++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/app-admin/puppetdb/Manifest b/app-admin/puppetdb/Manifest
index a6ce9e3..4c7bf6f 100644
--- a/app-admin/puppetdb/Manifest
+++ b/app-admin/puppetdb/Manifest
@@ -1,3 +1,4 @@
 DIST puppetdb-4.0.0.tar.gz 22121324 SHA256 e28d898e1912a43cb3f2555c5bacf4cb03d819579ad5c018b70b5f73af52fc33 SHA512 d2b06f470bb30ff7b6d6d02cd1d40ae6a9f1456baa7e15aac0ed51c6fae1f5b9b4c06d97896bd7c509302c8e26353d286c26e6a11fcb983ebf2569edf84bbf4d WHIRLPOOL c9c94cb9e2db49a3e0760a19ce7b714ee0e382087acba017a5392abbc3bd8ae12449aa7008dd4ab58cec18027fb6a5091b892d157c8562db0c1c6bed9993a31c
 DIST puppetdb-4.0.2.tar.gz 22131185 SHA256 7306f509f2caf642e37c0b8c1d67a07734a7912ae6ce0887c805d038e3d43fb6 SHA512 60594246df950f644cdc8d17da16685b15ab3b4838586820a1fd2a242aaa66a0320a1ffd8da445c7a071f8af15305ad711a588eb1ac5c0646a8bfed65e5b935f WHIRLPOOL 77406d20e62014f3e3ac4c688ffa9792b1590ea05b5a176aa4a36d34e7feeee74792d86350f74e4b4274015fe6e96dbc198f26bf016b8c10993621e507c0e9cd
 DIST puppetdb-4.1.0.tar.gz 22315267 SHA256 c06320f4befd5422308af38f44d76986c14b56cd1940705954b06754035e250c SHA512 a9d8fbaa3fa2cc7edb02058250144becc43be3841bd702600a584438f8c4ce58abdea466e75d00aea2ff04d1f17a183ef018cb42c4d1cb952c2f71e8ff389bd1 WHIRLPOOL f2c764c85e5ca33469413e551406e1112ff3e98112f372a3b5f8ad89c464dfa159d571e61dbd80839b59762b3549e64040a38668f45187a8fe3ed8fe98e8e59d
+DIST puppetdb-4.1.2.tar.gz 22313557 SHA256 d0752931e57ed7c524e4de2f0aa68aa13986db9aeb1a059782d65c063c028773 SHA512 fa53493ea0af7b2441de4572b836289346d0f8d7cd6b6fecabaccca6b21f6686dcee0dc1280c38001347b3e3214b11512ae402587385114c654a7c1a9bbfb670 WHIRLPOOL 8fee8fe966d8b848f8b6fbfc05f176313c32e3c0e112520571ee9eba98e6895732787d455ca70cf3cbe8d8ac8d8fbd34dc50c6b794b2d85b90b93bf62dd047b2

diff --git a/app-admin/puppetdb/puppetdb-4.1.2.ebuild b/app-admin/puppetdb/puppetdb-4.1.2.ebuild
new file mode 100644
index 0000000..1386a3e
--- /dev/null
+++ b/app-admin/puppetdb/puppetdb-4.1.2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit multilib systemd user
+
+DESCRIPTION="PuppetDB collects data generated by Puppet."
+HOMEPAGE="http://docs.puppetlabs.com/puppetdb/"
+SRC_URI="https://downloads.puppetlabs.com/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+# will need the same keywords as puppet
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND+=">=virtual/jdk-1.7.0"
+DEPEND+=""
+
+pkg_setup() {
+	enewgroup puppetdb
+	enewuser puppetdb -1 -1 /opt/puppetlabs/server/data/puppetdb "puppetdb"
+}
+
+src_prepare() {
+	sed -i 's/sysconfig/conf\.d/g' ext/redhat/puppetdb.service || die
+	sed -i 's/sysconfig/conf\.d/g' ext/bin/puppetdb || die
+	sed -i 's/sysconfig/conf\.d/g' install.sh || die
+	sed -i 's/var\/run/run/g' ext/puppetdb.tmpfiles.conf || die
+	sed -i 's/var\/run/run/g' install.sh || die
+}
+
+src_compile() {
+		einfo "not compiling"
+}
+
+src_install() {
+	dodir /opt/puppetlabs/server/data/puppetdb
+	insinto /opt/puppetlabs/server/apps/puppetdb
+	insopts -m0744
+	doins ext/ezbake-functions.sh
+	insopts -m0644
+	doins ext/ezbake.manifest
+	doins puppetdb.jar
+	insinto /etc/puppetlabs/puppetdb
+	doins ext/config/logback.xml
+	doins ext/config/bootstrap.cfg
+	doins ext/config/request-logging.xml
+	insinto /etc/puppetlabs/puppetdb/conf.d
+	doins ext/config/conf.d/jetty.ini
+	doins ext/config/conf.d/repl.ini
+	doins ext/config/conf.d/database.ini
+	doins ext/config/conf.d/config.ini
+	insopts -m0755
+	insinto /opt/puppetlabs/server/apps/puppetdb/scripts
+	doins install.sh
+	insinto /opt/puppetlabs/server/apps/puppetdb/cli/apps
+	doins ext/cli/foreground
+	doins ext/cli/ssl-setup
+	doins ext/cli/export
+	doins ext/cli/config-migration
+	doins ext/cli/foreground
+	doins ext/cli/anonymize
+	doins ext/cli/import
+	insinto /opt/puppetlabs/server/apps/puppetdb/bin
+	doins ext/bin/puppetdb
+	insopts -m0644
+	dodir /opt/puppetlabs/server/bin
+	dosym ../apps/puppetdb/bin/puppetdb /opt/puppetlabs/server/bin/puppetdb
+	dodir /opt/puppetlabs/bin
+	dosym ../server/apps/puppetdb/bin/puppetdb /opt/puppetlabs/bin/puppetdb
+	dosym /opt/puppetlabs/server/apps/puppetdb/bin/puppetdb /usr/bin/puppetdb
+	# init type tasks
+	newconfd ext/default puppetdb
+	systemd_dounit ext/redhat/puppetdb.service
+	systemd_newtmpfilesd ext/puppetdb.tmpfiles.conf puppetdb.conf
+	newinitd "${FILESDIR}/puppetdb.initd" puppetdb
+	# misc
+	insinto /etc/logrotate.d
+	newins ext/puppetdb.logrotate.conf puppetdb
+	fowners -R puppetdb:puppetdb /opt/puppetlabs/server/data/puppetdb
+	fperms -R 770 /opt/puppetlabs/server/data/puppetdb
+}
+
+pkg_postinst() {
+	elog "to install please run '/opt/puppetlabs/server/bin/puppetdb ssl-setup'"
+	elog
+	elog "to upgrade please run '/opt/puppetlabs/server/bin/puppetdb config-migration'"
+}


             reply	other threads:[~2016-06-23 13:31 UTC|newest]

Thread overview: 138+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-23 13:31 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-22 20:37 [gentoo-commits] repo/gentoo:master commit in: app-admin/puppetdb/ Matthew Thode
2024-04-29 19:41 Matthew Thode
2024-04-29 19:41 Matthew Thode
2024-04-20 14:19 Matthew Thode
2024-03-30  0:55 Matthew Thode
2024-02-29 15:26 Matthew Thode
2024-01-07 18:49 Matthew Thode
2023-12-07 23:59 Matthew Thode
2023-11-07 23:37 Matthew Thode
2023-10-27 13:25 Matthew Thode
2023-09-27 20:31 Matthew Thode
2023-08-27 15:52 Matthew Thode
2023-06-08 21:18 Matthew Thode
2023-05-27 15:18 Matthew Thode
2023-05-07 16:04 Matthew Thode
2023-04-27  3:11 Matthew Thode
2023-04-10 16:06 Matthew Thode
2023-04-07 15:23 Matthew Thode
2023-03-10 19:24 Matthew Thode
2023-02-11  3:49 Matthew Thode
2022-11-14 14:30 Matthew Thode
2022-10-03  4:33 Matthew Thode
2022-09-15  0:20 Matthew Thode
2022-09-02 15:13 Matthew Thode
2022-08-03  2:10 Matthew Thode
2022-06-19 14:47 Matthew Thode
2022-06-19 14:47 Matthew Thode
2022-05-19 16:46 Matthew Thode
2022-04-19 22:47 Matthew Thode
2022-03-25  1:40 Matthew Thode
2022-03-23  3:31 Matthew Thode
2022-02-22 19:47 Matthew Thode
2022-02-16  3:09 Matthew Thode
2022-01-23  0:59 Matthew Thode
2022-01-15 17:54 Matthew Thode
2021-12-14 17:54 Matthew Thode
2021-11-17 16:49 Matthew Thode
2021-11-14 20:44 Matthew Thode
2021-10-17 17:13 Matthew Thode
2021-10-14 19:01 Matthew Thode
2021-09-24 17:06 Matthew Thode
2021-09-17 21:37 Matthew Thode
2021-08-24 16:00 Matthew Thode
2021-08-23 15:25 Matthew Thode
2021-07-24 20:26 Matthew Thode
2021-07-03 19:47 Matthew Thode
2021-06-29  2:54 Matthew Thode
2021-06-25  5:55 Matthew Thode
2021-05-28 15:52 Matthew Thode
2021-04-27 18:12 Matthew Thode
2021-04-20  1:02 Matthew Thode
2021-03-19 18:37 Matthew Thode
2021-01-19 17:14 Matthew Thode
2020-12-20  2:30 Matthew Thode
2020-11-22 23:08 Matthew Thode
2020-10-22 19:03 Matthew Thode
2020-09-27 21:06 Matthew Thode
2020-09-15 16:29 Matthew Thode
2020-08-27 18:59 Matthew Thode
2020-08-15 19:50 Matthew Thode
2020-07-15 19:44 Matthew Thode
2020-06-02  0:13 Matthew Thode
2020-05-02 18:18 Matthew Thode
2020-03-12  1:19 Matthew Thode
2020-03-11  5:03 Matthew Thode
2020-02-21  1:30 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-01-16 17:26 Matthew Thode
2019-12-22 18:39 Matthew Thode
2019-11-22 16:10 Matthew Thode
2019-11-03 20:21 Matthew Thode
2019-10-18 16:03 Matthew Thode
2019-10-18  4:20 Matthew Thode
2019-10-03 23:19 Matthew Thode
2019-09-23 15:32 Matthew Thode
2019-09-20 21:07 Matthew Thode
2019-08-23 16:13 Matthew Thode
2019-07-24 15:30 Matthew Thode
2019-07-22 14:37 Matthew Thode
2019-06-27 15:25 Matthew Thode
2019-06-22 18:34 Matthew Thode
2019-05-30 15:05 Matthew Thode
2019-05-06 17:36 Matthew Thode
2019-05-01  0:15 Matthew Thode
2019-04-17 19:43 Matthew Thode
2019-04-06 22:20 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-01-29  3:34 Matthew Thode
2019-01-15 17:36 Matthew Thode
2018-12-19 19:43 Matthew Thode
2018-10-17 19:38 Matthew Thode
2018-09-19 16:04 Matt Thode
2018-08-18  2:46 Matt Thode
2018-07-18 20:52 Matt Thode
2018-05-15 15:26 Matt Thode
2018-04-21  4:12 Matt Thode
2018-03-21 16:16 Matt Thode
2018-03-06 13:25 Matt Thode
2018-03-06 13:25 Matt Thode
2018-02-07 22:53 Matt Thode
2017-12-13 21:44 Matt Thode
2017-11-13  7:14 Matt Thode
2017-08-22 19:59 Michał Górny
2017-08-09 14:15 Matt Thode
2017-07-09 23:04 Matt Thode
2017-05-07  3:21 Matt Thode
2017-04-07  3:10 Matt Thode
2016-12-01 16:48 Matt Thode
2016-12-01 16:48 Matt Thode
2016-11-19 21:21 Matt Thode
2016-11-09 22:31 Matt Thode
2016-11-01 14:29 Matt Thode
2016-09-18 15:19 Matt Thode
2016-08-26 14:45 Matt Thode
2016-08-18 16:29 Matt Thode
2016-08-09 19:23 Matt Thode
2016-06-06 16:15 Agostino Sarubbo
2016-05-20 15:20 Matt Thode
2016-05-20 15:20 Matt Thode
2016-05-13  9:25 Agostino Sarubbo
2016-04-29 13:56 Matt Thode
2016-03-18 13:41 Matt Thode
2016-02-28  0:04 Matt Thode
2016-02-15  1:31 Matt Thode
2016-02-13 15:33 Agostino Sarubbo
2016-01-12  6:50 Matt Thode
2016-01-06 15:02 Matt Thode
2016-01-05 13:42 Agostino Sarubbo
2015-12-04 16:49 Matt Thode
2015-12-03 13:28 Agostino Sarubbo
2015-12-01 11:20 Agostino Sarubbo
2015-10-31 11:26 Matt Thode
2015-09-30 13:43 Agostino Sarubbo
2015-09-28  9:31 Agostino Sarubbo
2015-08-26 15:05 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1466688619.3ec16d51f9f984b3702d533c1cdc38c0af022f25.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox